Bug 365751 - powertop suggests usbcore autosuspend when it shouldnt
powertop suggests usbcore autosuspend when it shouldnt
Product: Fedora
Classification: Fedora
Component: powertop (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-04 06:46 EST by Fabrice Bellet
Modified: 2009-07-15 04:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-15 04:22:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2007-11-04 06:46:01 EST
powertop-1.8 suggests to enable usbcore.autosuspend when autosuspend is already
set. In function suggest_usb_autosuspend(), it checks the value of autosuspend
in the sysfs tree with this statement :

if (!strtoull(line, NULL,10)<1)
   need_hint = 1;

and the "!" is probably not wanted here, if we want to suggest the user when
autosuspend is "0".
Comment 1 David Rees 2008-01-23 15:43:45 EST
This appears to be fixed upstream in version 1.9. Can we get this package
updated to the latest version and pushed out?

I'm seeing this bug on my Fedora 8 machines.
Comment 2 Fedora Update System 2008-02-12 10:44:49 EST
powertop-1.9-2.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-02-13 00:00:29 EST
powertop-1.9-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update powertop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1523
Comment 4 Fedora Update System 2008-02-15 21:13:06 EST
powertop-1.9-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Robert Spanton 2008-02-28 19:01:24 EST
I think that powertop still has this bug.  powertop appears to be fairly
unmaintained at the moment (no commits since 13th December 2007), and a number
of patches are queuing up on the mailing list.

I posted a solution to this USB problem here:
Comment 6 Bug Zapper 2008-05-13 23:50:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 7 Robert Spanton 2008-05-16 15:45:26 EDT
The powertop maintainer has reappeared, and I believe commit 275 in powertop
subversion fixed this.
Comment 8 Fabrice Bellet 2008-05-19 09:02:24 EDT
Yes, I confirm that patch from comment #5 does the right thing.
Comment 9 Bug Zapper 2009-06-09 19:09:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Bug Zapper 2009-07-15 04:22:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.